mod api;
mod repo;

use axum::Router;
use tower_http::trace::TraceLayer;

pub fn router(global: crate::Global) -> Router {
    Router::new()
        .nest("/api", api::router())
        .merge(repo::router(&global.config.api_key))
        .with_state(global)
        .layer(TraceLayer::new_for_http())
}
